<script src="http://code.jquery.com/jquery-2.1.1.min.js"></script>
<script>

function play(animation) {
  $.get( "./control?play=" + animation, function( animation ) {
    
    $("img").each(function() {
      var img = $(this);
      if (img.attr('src').split('/').pop() == animation) {
        img.attr('id', 'current');
      } else {
        img.attr('id', '');
      }
    });

	updateBorderAndHighlight();
  });
}

function updateBorderAndHighlight() {

  $("img").each(function() {
    var img = $(this);
    img.css('box-shadow', '0mm 0mm 1mm black');
  });
  
  $('#current')
       .css('box-shadow', '0mm 0mm 10mm green');
};

function resizeImagesToWindow() {
  var windowDim1 = $(window).width();
  var windowDim2 = $(window).height();
  if (windowDim1 < windowDim2) {
    windowDim2 = $(window).width();
    windowDim1 = $(window).height();
  }
  var numImages = $("img").length;
  var windowArea = windowDim1 * windowDim2;
  var imageArea = windowArea / numImages;
  var optimalImageSize = Math.sqrt(imageArea);
  var imagesPerRow = Math.ceil(windowDim1 / optimalImageSize);
  var imageWidth = windowDim1 / imagesPerRow;
  var imagesPerColumn = Math.ceil(numImages / imagesPerRow);
  var imageHeight = windowDim2 / imagesPerColumn;
  var imageSizeWithSpace = Math.min(imageWidth, imageHeight);

  $("img").each(function() {
    var img = $(this);
    img.css('width', (imageSizeWithSpace * 0.9) + '');
    img.css('height', (imageSizeWithSpace * 0.9) + '');
    img.css('margin', (imageSizeWithSpace * 0.025) + 'px');
  });
  
  updateBorderAndHighlight();
};

$( document ).ready(function() {
  resizeImagesToWindow();

  $(window).load(function() {
	resizeImagesToWindow();
  });

  $(window).resize(function() {
    resizeImagesToWindow();
  });
});
</script>
